#include <EEPROM.h>
void setup() {
  Serial.begin(115200);

  if (!EEPROM.begin(2048)) //申请空间，传入参数为 EEPROM_SIZE，为需要读写的数据字节最大地址+1，取值1~4096；
  {
    Serial.println("初始化EEPROM失败");
    delay(1000);
    Serial.println("Restarting...");
    ESP.restart();    
  } 
  Serial.println("******************");
  Serial.println("******************");
  Serial.println("******************");
  Serial.println("setup() begin....");
  Serial.println(".................");
  Serial.println(".................");
  Serial.println("Begin Reading...");
  Serial.printf("Read At 1 boot: %d\n", EEPROM.readInt(1));
  Serial.printf("Read At 5 boot: %d\n", EEPROM.readInt(5));
  Serial.printf("Read At 9 boot: %d\n", EEPROM.readInt(9));
  delay(1000);
  Serial.println(".................");
  Serial.println(".................");
  Serial.println(".................");
  Serial.println("Begin Writing...");
  
  int val = byte(random(10020));
  EEPROM.writeInt(1,val);
  EEPROM.commit(); Serial.print("Write at 1 .......");Serial.println(val);
  EEPROM.writeInt(5,val+5);
  EEPROM.commit(); Serial.print("Write at 5 .......");Serial.println(val+5);
  EEPROM.writeInt(9,val+8);
  EEPROM.commit(); Serial.print("Write at 9 .......");Serial.println(val+8);
  Serial.printf("After write: %d\n", EEPROM.readInt(1));  
}
void loop() {
  delay(-1);
}
